Get the file description which are ready to read/write or error

- « swoole_clear_error

- swoole_cpu_num »

- PHP Manual
- Swoole Functions
- Get the file description which are ready to read/write or error

# swoole_client_select

(PECL swoole >= 1.9.0)

swoole_client_select — Get the file description which are ready to read/write or error

### Description

swoole_client_select(
array `&$read_array`,
array `&$write_array`,
array `&$error_array`,
float `$timeout` = 0.5
): int

### Parameters

`read_array`

`write_array`

`error_array`

`timeout`

### Return Values